%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		exempi
Summary:	Library for easy parsing of XMP metadata
Version:	2.2.0
Release:	%mkrel 11
Group:		System/Libraries
License:	BSD-like
URL:		http://libopenraw.freedesktop.org/wiki/Exempi
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
Source1:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2.asc
BuildRequires:	expat-devel
BuildRequires:	boost-devel

%description
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{libname}
Summary:	XMP implementation
Group:		System/Libraries

%description -n %{libname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%prep
%setup -q

%build
%configure2_5x
%make

%check
%make check

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-11.mga4
+ Revision: 529408
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 2.2.0-10.mga4
+ Revision: 451771
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 349840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 dams <dams> 2.2.0-1.mga3
+ Revision: 309360
- new version 2.2.0
- update %%description
- clean specfile
- sync with fedora

* Mon Apr 02 2012 pterjan <pterjan> 2.1.1-4.mga2
+ Revision: 227777
- Rebuild after libexpat.la removal

* Sat Jan 15 2011 blino <blino> 2.1.1-3.mga1
+ Revision: 19089
- imported package exempi


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-3mdv2011.0
+ Revision: 605109
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2010.1
+ Revision: 522577
- rebuilt for 2010.1

* Mon Aug 10 2009 Emmanuel Andry <eandry@mandriva.org> 2.1.1-1mdv2010.0
+ Revision: 414315
- New version 2.1.1
- drop gcc patch

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix compilation with gcc 4.4

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.1.0-2mdv2009.1
+ Revision: 324631
- New upstream release

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.99.8-2mdv2009.0
+ Revision: 220732
- rebuild

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 1.99.8-1mdv2008.1
+ Revision: 158881
- new major
- New version 1.99.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Adam Williamson <awilliamson@mandriva.org>
    - Import exempi

